Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
creatives
/
{creative_id}
Update creative
curl --request PUT \
  --url 'https://{domain}/api/v2/network/offers/{offer_id}/creatives/{creative_id}?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "type": 1,
  "status": 1,
  "description": "Sample description",
  "image": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "creative": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

creative_id
integer
required

Creative ID.

Body

application/json
title
string
Maximum string length: 128
type
integer
status
integer
description
string
image
string
image_data
string
offer_url_id
integer
count_impressions
enum<integer>
Available options:
0,
1
html_code
string
plain_text
string
xml_feed_url
string
language
string
categories_ids
integer[]

Response

Creative updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object